<?php 
   /* 
     30.01.2014
  
     Version 1.2

     Script zum Ausgeben der Metadaten einer PDF-Datei mittels JSON.	 
   */

$finfo = new finfo(FILEINFO_MIME_TYPE);

$exifdata=array();

if (isset($_GET['filename']) && preg_match('/\.pdf$/', $_GET['filename']) && isset($_GET['documentId']) && is_numeric($_GET['documentId']) && preg_match('/^\d+$/',$_GET['documentId'])) {   
    // Metadaten entfernen
    $documentId = $_GET['documentId'];
    $filename = $_GET['filename'];

    $documentDir = __DIR__ .'/../../../workspace/files/'.$documentId;
    $longFilename_unescaped = $documentDir.'/'.$filename;
    $longFilename = escapeshellarg($documentDir.'/'.$filename);
    if (is_file($longFilename_unescaped)){
        if ($finfo->file($longFilename_unescaped)=="application/pdf"){

            $output=array();
            $cmd="exiftool $longFilename";       
            exec($cmd, $output);
            foreach ($output as $line){
                $temp = preg_split('/\s*:\s*/', $line);
                $key = trim($temp[0]);
                $value=trim($temp[1]);
                $exifdata[$key] = $value;
            }
        }
    }
    echo json_encode($exifdata);
}     
